<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN"><HTML><HEAD><TITLE>80386 Programmer's Reference Manual -- Opcode STD</TITLE> </HEAD><BODY><B>up:</B> <A HREF="c17.htm">Chapter 17 -- 80386 Instruction Set</A><BR><B>prev:</B><A HREF="STC.htm"> STC Set Carry Flag</A><BR><B>next:</B><A HREF="STI.htm"> STI Set Interrupt Flag</A><P><HR><P><H1>STD -- Set Direction Flag</H1><PRE>
Opcode  Instruction   Clocks    Description

FD      STD           2         Set direction flag so (E)SI and/or (E)DI
                                decrement
</PRE><H2>Operation</H2><PRE>
DF := 1;
</PRE><H2>Description</H2>STD sets the direction flag to 1, causing all subsequent string operations to decrement the index registers, (E)SI and/or (E)DI, on which they operate.<H2>Flags Affected</H2>DF := 1<H2>Protected Mode Exceptions</H2>None<H2>Real Address Mode Exceptions</H2>None<H2>Virtual 8086 Mode Exceptions</H2>None<P><HR><P><B>up:</B> <A HREF="c17.htm">Chapter 17 -- 80386 Instruction Set</A><BR><B>prev:</B><A HREF="STC.htm"> STC Set Carry Flag</A><BR><B>next:</B><A HREF="STI.htm"> STI Set Interrupt Flag</A> </BODY>